RLETORAW(1)

NAME
rletoraw - Convert RLE file to raw RGB form.

SYNOPSIS
rletoraw [ -a ] [ -[Ns] ] [ -r ] [ -f header-size ] [ -t trailer-size ] [ -l left-scanline-pad ] [ -p scanline-pad [ -o outfile ] [ infile ]

DESCRIPTION
This program converts an RLE(5) image to a raw RGB form. The output file is normally a stream of pixels (RGBRGB...), in left-to-right, bottom-to-top order (this can be changed with the -N or -s flags). The width and height of the input image will be printed on the standard error stream.

OPTIONS

-a  If specified, an alpha channel will be written to the output file. This is the last output channel, unless -r is specified, in which case it will be the first.

-N  If specified, the output will be written in a non-interleaved order. I.e., all the red pixels will be written first, then all the green pixels, etc.

-s  If specified, the output will be written in a scanline-interleaved order. I.e., all the red pixels for a scanline will be written, followed by all the green pixels for the scanline, etc. The options -N and -s are mutually exclusive.

-r  Reverse the order of the channels in the output. I.e., output will be written ABGR instead of RGBA.

-f header-size
    A header of this many zero bytes will be written to the output file.

-t trailer-size
    A trailer of this many zero bytes will be written after the output file.

-l left-scanline-pad
    The left (beginning) of each scanline will be padded with this many zero bytes.

-p left-scanline-pad
    The right (end) of each scanline will be padded with this many zero bytes.

-o outfile
    If specified, the output will be written to this file. If outfile is "-", or if it is not specified, the output will be written to the standard output stream.

infile
    The input will be read from this file. If infile is "-" or is not specified, the input will be read from the standard input stream.

SEE ALSO
rawtorle(1), urt(1), RLE(5).

AUTHOR
Martin Friedmann

BUGS
Basically handles input files with 1 or 3 channels (plus alpha). Only the first channel of a 2 channel image will be written. The header, trailer, and pad options are of dubious utility.